/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

/**
 *
 * @author <a href="mailto:bill@jboss.org">Bill Burke</a>
 * @version $Revision: 1.1.10.2 $
 */
public class POJO
{
   public POJO() {}

   public POJO(int x) 
   {
      method3();
   }

   public void method1() 
   { 
      System.out.println("method1"); 
      method2();
   }
   public void method2() 
   { 
      System.out.println("method2"); 
      method3();
   }
   public void method3() 
   { 
      System.out.println("method3"); 
      method4();
   }
   public void method4() { System.out.println("method4"); }

   public void recursive(int i)
   {
      System.out.println("recursive: " + i);
      if (i < 3) recursive(i + 1);
   }
}



